Package twisted :: Package lore :: Module latex :: Class ChapterLatexSpitter

[show private | hide private]
[frames | no frames]

## Class ChapterLatexSpitter

    BaseLatexSpitter --+
                       |
            LatexSpitter --+
                           |
         SectionLatexSpitter --+
                               |
                              ChapterLatexSpitter

Method Summary
| `__init__(self, writer, currDir, filename)` (inherited from `BaseLatexSpitter`)
| `convert_dia(self, src, target)` (inherited from `LatexSpitter`)
| `convert_png(self, src, target)` (inherited from `LatexSpitter`)
| `visitNode(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_a(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_a_href(self, node)` (inherited from `LatexSpitter`)
| `visitNode_a_listing(self, node)` (inherited from `LatexSpitter`)
| `visitNode_a_name(self, node)` (inherited from `LatexSpitter`)
| `visitNode_code(self, node)` (inherited from `LatexSpitter`)
| `visitNode_div(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_h1(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_h2(self, node)` (inherited from `LatexSpitter`)
| `visitNode_h3(self, node)` (inherited from `LatexSpitter`)
| `visitNode_h4(self, node)` (inherited from `LatexSpitter`)
| `visitNode_img(self, node)` (inherited from `LatexSpitter`)
| `visitNode_pre(self, node)` (inherited from `LatexSpitter`)
| `visitNode_span(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_span_footnote(self, node)` (inherited from `LatexSpitter`)
| `visitNode_style(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNode_table(self, node)` (inherited from `LatexSpitter`)
| `visitNode_title(self, node)` (inherited from `SectionLatexSpitter`)
| `visitNodeDefault(self, node)` (inherited from `BaseLatexSpitter`)
| `visitNodeHeader(self, node)` (inherited from `LatexSpitter`)
| `writeNodeData(self, node)` (inherited from `HeadingLatexSpitter`)

Class Variable Summary
`int` | `baseLevel`
`string` | `start_title`

Class Variable Details

### baseLevel

  Type:
    `int`
  Value:

        0

### start_title

  Type:
    `string`
  Value:

        '\\chapter{'

Generated by Epydoc 1.1 on Sat Feb 15 21:17:53 2003 | http://epydoc.sf.net